#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2016 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://pdfunit.com/en/licenseinfo.html                 #
# Manual_____________: http://pdfunit.com/en/download/index.html              #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
###############################################################################
#
# Render a part of a PDF page into an image file.
#
# Make sure, all the libraries named below can be found in the classpath!
#
export PDFUNIT_HOME=../lib/pdfunit-2016.05_java-1.7
export ASPECTJ_HOME=$PDFUNIT_HOME/lib/aspectj-1.8.7
export COMMONS_LOGGING_HOME=$PDFUNIT_HOME/lib/commons-logging-1.2
export PDFBOX_HOME=$PDFUNIT_HOME/lib/pdfbox-2.0.0
#
export CLASSPATH=$ASPECTJ_HOME/*:$CLASSPATH
export CLASSPATH=$COMMONS_LOGGING_HOME/*:$CLASSPATH
export CLASSPATH=$PDFBOX_HOME/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/*:$CLASSPATH
#
export TOOL=com.pdfunit.tools.RenderPdfPageRegionToImage
export PAGENUMBER=1
export OUT_DIR=../tmp
export IN_FILE=../src/test/resources/pdf-in-tests/content/documentForTextClipping.pdf
export PASSWD=
#
# All values must be millimeter:
export UPPERLEFTX=0
export UPPERLEFTY=0
export WIDTH=100
export HEIGHT=100
export PAGEHEIGHT=297
#
java  $TOOL  $IN_FILE  $PAGENUMBER  $OUT_DIR  $UPPERLEFTX  $UPPERLEFTY  $WIDTH  $HEIGHT  $PAGEHEIGHT   $PASSWD
